<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: shocktube Module Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">shocktube Module Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a82709c76fe90451dd5bac0efad03e2b3"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceshocktube.html#a82709c76fe90451dd5bac0efad03e2b3">dx</a></td></tr>
<tr class="separator:a82709c76fe90451dd5bac0efad03e2b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f79f3a9c910d9e066995b31bb353f68"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceshocktube.html#a4f79f3a9c910d9e066995b31bb353f68">dy</a></td></tr>
<tr class="separator:a4f79f3a9c910d9e066995b31bb353f68"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aafa91d60e7d5ffa6bacc537aa9f8c05e"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceshocktube.html#aafa91d60e7d5ffa6bacc537aa9f8c05e">dz</a></td></tr>
<tr class="separator:aafa91d60e7d5ffa6bacc537aa9f8c05e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afab9af6d85b47d3bba9867244cd08d4b"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceshocktube.html#afab9af6d85b47d3bba9867244cd08d4b">lx</a></td></tr>
<tr class="separator:afab9af6d85b47d3bba9867244cd08d4b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8cf128a676530712718a002a32cd5d8e"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceshocktube.html#a8cf128a676530712718a002a32cd5d8e">ly</a></td></tr>
<tr class="separator:a8cf128a676530712718a002a32cd5d8e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6802a20024a02689252166ff01e6c544"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceshocktube.html#a6802a20024a02689252166ff01e6c544">lz</a></td></tr>
<tr class="separator:a6802a20024a02689252166ff01e6c544"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a33332dd8b56e95c696c2b5bd1b8bb379"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceshocktube.html#a33332dd8b56e95c696c2b5bd1b8bb379">u</a></td></tr>
<tr class="separator:a33332dd8b56e95c696c2b5bd1b8bb379"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3bcdd42b0b5b19500423f49060ebfe90"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceshocktube.html#a3bcdd42b0b5b19500423f49060ebfe90">v</a></td></tr>
<tr class="separator:a3bcdd42b0b5b19500423f49060ebfe90"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a344bb61d09f068ad5da62ed87c46af29"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceshocktube.html#a344bb61d09f068ad5da62ed87c46af29">w</a></td></tr>
<tr class="separator:a344bb61d09f068ad5da62ed87c46af29"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a585219c5f0942595c65cfdde31e8a908"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceshocktube.html#a585219c5f0942595c65cfdde31e8a908">p</a></td></tr>
<tr class="separator:a585219c5f0942595c65cfdde31e8a908"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d257ca7b2ab2a673c39c0baabfcbe97"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceshocktube.html#a3d257ca7b2ab2a673c39c0baabfcbe97">rho</a></td></tr>
<tr class="separator:a3d257ca7b2ab2a673c39c0baabfcbe97"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a82709c76fe90451dd5bac0efad03e2b3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a82709c76fe90451dd5bac0efad03e2b3">&#9670;&nbsp;</a></span>dx</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) shocktube::dx</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4f79f3a9c910d9e066995b31bb353f68"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4f79f3a9c910d9e066995b31bb353f68">&#9670;&nbsp;</a></span>dy</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) shocktube::dy</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aafa91d60e7d5ffa6bacc537aa9f8c05e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aafa91d60e7d5ffa6bacc537aa9f8c05e">&#9670;&nbsp;</a></span>dz</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) shocktube::dz</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="afab9af6d85b47d3bba9867244cd08d4b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afab9af6d85b47d3bba9867244cd08d4b">&#9670;&nbsp;</a></span>lx</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) shocktube::lx</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8cf128a676530712718a002a32cd5d8e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8cf128a676530712718a002a32cd5d8e">&#9670;&nbsp;</a></span>ly</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) shocktube::ly</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6802a20024a02689252166ff01e6c544"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6802a20024a02689252166ff01e6c544">&#9670;&nbsp;</a></span>lz</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) shocktube::lz</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a585219c5f0942595c65cfdde31e8a908"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a585219c5f0942595c65cfdde31e8a908">&#9670;&nbsp;</a></span>p</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:), pointer shocktube::p</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3d257ca7b2ab2a673c39c0baabfcbe97"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3d257ca7b2ab2a673c39c0baabfcbe97">&#9670;&nbsp;</a></span>rho</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:), pointer shocktube::rho</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a33332dd8b56e95c696c2b5bd1b8bb379"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a33332dd8b56e95c696c2b5bd1b8bb379">&#9670;&nbsp;</a></span>u</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:), pointer shocktube::u</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3bcdd42b0b5b19500423f49060ebfe90"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3bcdd42b0b5b19500423f49060ebfe90">&#9670;&nbsp;</a></span>v</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:), pointer shocktube::v</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a344bb61d09f068ad5da62ed87c46af29"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a344bb61d09f068ad5da62ed87c46af29">&#9670;&nbsp;</a></span>w</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:), pointer shocktube::w</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:52 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
